Jump to content


Photo

Xcom Util 9.6 And F0dder's Loader 0.91


  • Please log in to reply
8 replies to this topic

#1 wiequadrat

wiequadrat

    Squaddie

  • Forum Members
  • PipPip
  • 3 posts

Posted 18 January 2007 - 08:04 PM

Hi there, i'm have a little problem in running both application for TFTD. i use win XP and here is the explanation:

i play XCOM TFTD dos version => works fine
i 'm also using XCOM TFTD (ET-version 20 January 2005) patch => and it works
after that i use XCOM Collectors Edition bugfix loaders - version 0.91 by f0dder and reference it to Terror From The Deep.exe => and it works

after that i download XcomUtil 9.60 for XCOM/UFO and TFTD by Scott (and just realized that it already comes along with f0dders loader v0.91 :P ) , and run the XcuSetup.bat after that RunXcomW.bat => and it works too B)

the problem is, i realized that XcomUtil (after i reading the RunXcomW.bat) will run the geoscape.exe if XcomUtil finds it and not the f0dder's loader. From the readme from f0dder and XcomUtil, both says that they can be run together.

is there a way to make them run together coz i like both application? is my procedures wrong? or does it need a modification in XcomUtil bat files?

PS: i already tried to rename the geoscape.exe in the folder UFOEXE, and RunXcomW.bat will run the loader but with no enhancement from XcomUtil it self.

#2 Hobbes

Hobbes

    UFO2000 Staff

  • Moderators
  • PipPipPipPip
  • 719 posts

Posted 18 January 2007 - 08:23 PM

Hi there, i'm have a little problem in running both application for TFTD. i use win XP and here is the explanation:

i play XCOM TFTD dos version => works fine
i 'm also using XCOM TFTD (ET-version 20 January 2005) patch => and it works
after that i use XCOM Collectors Edition bugfix loaders - version 0.91 by f0dder and reference it to Terror From The Deep.exe => and it works

after that i download XcomUtil 9.60 for XCOM/UFO and TFTD by Scott (and just realized that it already comes along with f0dders loader v0.91 :P ) , and run the XcuSetup.bat after that RunXcomW.bat => and it works too B)

the problem is, i realized that XcomUtil (after i reading the RunXcomW.bat) will run the geoscape.exe if XcomUtil finds it and not the f0dder's loader. From the readme from f0dder and XcomUtil, both says that they can be run together.

is there a way to make them run together coz i like both application? is my procedures wrong? or does it need a modification in XcomUtil bat files?

PS: i already tried to rename the geoscape.exe in the folder UFOEXE, and RunXcomW.bat will run the loader but with no enhancement from XcomUtil it self.


Delete XCOM4WIN.XCF from the TFTD folder and run XCUSETUP again. There should be a query regarding f0dder's patch, choose Yes. Try running TFTD through RunXCom.bat and see if f0dder's patch gets loaded.
If not reinstall everything but this time don't install f0dder's patch before installing XComUtil.

#3 wiequadrat

wiequadrat

    Squaddie

  • Forum Members
  • PipPip
  • 3 posts

Posted 19 January 2007 - 12:15 AM

OK. i totally forget to read the XcuSetup.bat. and after read it....

1. restore to XCOM TFTD dos original
2. extract the XCOM TFTD (ET-version 20 January 2005) patch to get the Terror From The Deep.exe
3. extract the Xcom Util 9.6 only (skipping the f0dder's patch) :D => i make sure that there are no XCOM4WIN.XCF file
4. running the XcuSetup.bat

=> the XcuSetup didn't ask about using the loader

---------------------------------------------------

so after reading the XcuSetup.bat. i decided to rename the geoscape.exe into something else and running the XcuSetup.bat

and it asking about "Do you want to use the loader?" :D
i said yes. and it seems that it successfully split the exe.

and then the dosprompt SUDDENLY dissappear....... and XCOM4WIN.XCF and TFTD4WIN.XCF appear in my tftd folder

after feeling confused... i tried to run the XcuSetup.bat again....

this time it begin to patch and no question about using loader. but soon after that there is an error something about cannot find ubase_00.map or something in UFOEXE folder. no question at all

i also run the RunXcomW.bat and it load the loader but with no enhancement.

and then i remember that i rename that geoscape in UFOEXE but if i rename the geoscape to its original then the RunXcomW.bat will not run the loader.

OK it seems that i maybe trying to be smart donkey by trying to read the bat file and all.
then can some1 give me a complete procedure to make xcomutil to use the loader?
thx

#4 Hobbes

Hobbes

    UFO2000 Staff

  • Moderators
  • PipPipPipPip
  • 719 posts

Posted 19 January 2007 - 10:34 AM

Hold on a minute. I thought you had the TFTD CE version, not DOS, since you mentioned f0dder's patch (it is designed to use UFO/TFTD CE edition on XP).
If you are running the DOS version the best way is to use DOSBox, since it emulates a DOS environment and you won't need f0dder's patch.

I just had a look at the ET-version 20 January 2005 patch. It doesn't specify to which version it is designed and it might not be compatible with XComUtil, since they weren't designed to work together.

#5 wiequadrat

wiequadrat

    Squaddie

  • Forum Members
  • PipPip
  • 3 posts

Posted 21 January 2007 - 08:28 PM

i don't quite understand about name versioning in xcom TFTD. how do you know CE version and DOS version?

i believe before that i use DOS version but adding XCOM TFTD (ET-version 20 January 2005) patch - Terror From The Deep.exe so that i don't have to use dosbox anymore.

Edited by wiequadrat, 21 January 2007 - 08:30 PM.


#6 Zombie

Zombie

    Colonel

  • Xenocide Creative-Text Departmen
  • 2,947 posts

Posted 21 January 2007 - 09:06 PM

how do you know CE version and DOS version?

The easiest way to tell them apart is to look at your game folder and if you find the folders named UFOEXE and UFO2EXE you are using the dos version. The CE version has a single unified executable and lacks those folders. :wink1:

- Zombie
The Mr. Grognard of X-COM

Zombie: Empirical data's your only man, when formulating a research plan.
A soldier's death is never in vain if it makes the formula more plain.
A few dozen make a better case for refining that third decimal place.
They call me Zombie because I don't sleep, as I slowly struggle to climb this heap,
of corpses, data points, and trials, but from the top - I'll see for miles!


#7 wiequadrat

wiequadrat

    Squaddie

  • Forum Members
  • PipPip
  • 3 posts

Posted 22 January 2007 - 08:59 PM

i see. that's mean that i have the DOS version. but since i added "XCOM TFTD (ET-version 20 January 2005) patch", my xcom can run using a single unified executables (Terror From The Deep.exe) without using those two folder.

btw here is the screenshot of the error after i use xcusetup.
error.JPG

*sigh* well perhaps Hobbes is right that f0dder's patch is designed for UFO/TFTD CE edition on XP.

#8 Zombie

Zombie

    Colonel

  • Xenocide Creative-Text Departmen
  • 2,947 posts

Posted 22 January 2007 - 10:00 PM

this time it begin to patch and no question about using loader. but soon after that there is an error something about cannot find ubase_00.map or something in UFOEXE folder. no question at all

UBASE_00.MAP is the Access Lift map file in the first game (EU). Find out where you have the original game installed (if you even have it), and try reinstalling the MAPS folder. That should fix the error. If you don't have the first game installed, what XComUtil is doing is trying to copy the MAPS, ROUTES and TERRAIN folders so that is has a backup. Not sure what the fix would be in this case, but I'm sure others are more knowledgeable on this subject. :wink1:

- Zombie
The Mr. Grognard of X-COM

Zombie: Empirical data's your only man, when formulating a research plan.
A soldier's death is never in vain if it makes the formula more plain.
A few dozen make a better case for refining that third decimal place.
They call me Zombie because I don't sleep, as I slowly struggle to climb this heap,
of corpses, data points, and trials, but from the top - I'll see for miles!


#9 Grey

Grey

    Sergeant

  • Forum Members
  • PipPipPip
  • 19 posts

Posted 15 July 2009 - 12:13 PM

Xcomutil cant split the moded exe properly.